[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| StarPolytope< N, T > Class Template Reference |

Specialization of the polytope to polytopes which forms a star domain. More...

`#include <vigra/polytope.hxx>`

Inheritance diagram for StarPolytope< N, T >:

## Public Member Functions

virtual node_type | addFacet (const node_type &a, const node_type &b)
virtual node_type | addFacet (const node_type &a, const node_type &b, const node_type &c)
virtual bool | contains (const point_view_type &p) const
virtual point_type | getCenter () const
virtual real_type | nSurface () const
virtual real_type | nVolume () const
| StarPolytope ()
| StarPolytope (const point_view_type &a, const point_view_type &b, const point_view_type &c, const point_view_type &center)
| StarPolytope (const point_view_type &a, const point_view_type &b, const point_view_type &c, const point_view_type &d, const point_view_type &center)
| StarPolytope (const point_view_type &center)
Public Member Functions inherited from Polytope< N, T >
virtual node_type | addVertex (const point_view_type &p)
virtual bool | closed () const
virtual bool | closed (const node_type n) const
virtual real_type | distance (const node_type u, const point_view_type &p) const
virtual void | eraseFacet (const node_type u)
virtual unsigned int | fill (MultiArrayView< N, unsigned int > &array, const unsigned int label, const point_view_type offset) const
virtual unsigned int | fill (MultiArrayView< N, unsigned int > &array, const unsigned int label, const point_view_type offset, const point_view_type scale) const
virtual std::set< node_type > | getConnected (const node_type u) const
virtual ArrayVector< node_type > | litFacets (const point_view_type &p) const
virtual void | operator= (const Polytope< N, T > &other)
| Polytope ()
| Polytope (const Polytope< N, T > &other)
virtual void | tidyUp ()

## Detailed Description

### template<unsigned int N, class T>
class vigra::StarPolytope< N, T >

Specialization of the polytope to polytopes which forms a star domain.

## Constructor & Destructor Documentation

## ◆ StarPolytope() [1/4]

StarPolytope | ( |  | ) |

Constructor creates an empty StarPolytope with its center a the orign.

## ◆ StarPolytope() [2/4]

StarPolytope | ( | const point_view_type & | center | ) |

Copy constructor.

## ◆ StarPolytope() [3/4]

StarPolytope | ( | const point_view_type & | a,
|  | const point_view_type & | b,
|  | const point_view_type & | c,
|  | const point_view_type & | center
| ) |  |

Constructor for the 2-dimensional case taking three vertices and the center.

## ◆ StarPolytope() [4/4]

StarPolytope | ( | const point_view_type & | a,
|  | const point_view_type & | b,
|  | const point_view_type & | c,
|  | const point_view_type & | d,
|  | const point_view_type & | center
| ) |  |

Constructor for the 3-dimensional case taking four vertices and the center.

## Member Function Documentation

## ◆ getCenter()

virtual point_type getCenter | ( |  | ) | const

virtual

Get the center of the star domain.

## ◆ addFacet() [1/2]

virtual node_type addFacet | ( | const node_type & | a,
|  | const node_type & | b
| ) |  |

virtual

Add a facet to a 2-dimensional polytope.

## ◆ addFacet() [2/2]

virtual node_type addFacet | ( | const node_type & | a,
|  | const node_type & | b,
|  | const node_type & | c
| ) |  |

virtual

Add a facet to a 3-dimensional polytope.

## ◆ contains()

virtual bool contains | ( | const point_view_type & | p | ) | const

virtual

Check if a point is inside the polytope.

Implements Polytope< N, T >.

Reimplemented in ConvexPolytope< N, T >, and ConvexPolytope< dimensions, double >.

## ◆ nVolume()

virtual real_type nVolume | ( |  | ) | const

virtual

Calculate the volume of the polytope.

Implements Polytope< N, T >.

## ◆ nSurface()

virtual real_type nSurface | ( |  | ) | const

virtual

Calculate the surface of the polytope.

Implements Polytope< N, T >.

The documentation for this class was generated from the following file:

- vigra/polytope.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.1